TimeStampTokenEvidence (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cms

## Class TimeStampTokenEvidence

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cms.TimeStampTokenEvidence

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class TimeStampTokenEvidence
      extends ASN1Object

  RFC 5544 Binding Documents with Time-Stamps; TimeStampTokenEvidence object.

       TimeStampTokenEvidence ::=
          SEQUENCE SIZE(1..MAX) OF TimeStampAndCRL

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeStampTokenEvidence(TimeStampAndCRL timeStampAndCRL)`
    `TimeStampTokenEvidence(TimeStampAndCRL[] timeStampAndCRLs)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TimeStampTokenEvidence` | `getInstance(ASN1TaggedObject tagged, boolean explicit)`
    `static TimeStampTokenEvidence` | `getInstance(java.lang.Object obj)` Return a TimeStampTokenEvidence object from the given object.
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
    `TimeStampAndCRL[]` | `toTimeStampAndCRLArray()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeStampTokenEvidence

          public TimeStampTokenEvidence(TimeStampAndCRL[] timeStampAndCRLs)

    - #### TimeStampTokenEvidence

          public TimeStampTokenEvidence(TimeStampAndCRL timeStampAndCRL)

  - ### Method Detail

    - #### getInstance

          public static TimeStampTokenEvidence getInstance(ASN1TaggedObject tagged,
                                                           boolean explicit)

    - #### getInstance

          public static TimeStampTokenEvidence getInstance(java.lang.Object obj)

      Return a TimeStampTokenEvidence object from the given object.

      Accepted inputs:

      - null → null
      - `TimeStampTokenEvidence` object
      - `ASN1Sequence` input formats with TimeStampTokenEvidence structure inside
      Parameters:
        `obj` - the object we want converted.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### toTimeStampAndCRLArray

          public TimeStampAndCRL[] toTimeStampAndCRLArray()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.